SHARE
TWEET

Untitled

a guest Feb 11th, 2019 88 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. See `tf.nn.softmax_cross_entropy_with_logits_v2`.
  2.  
  3. WARNING:tensorflow:From /root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_model.py:46: checkpoint_exists (from tensorflow.python.training.checkpoint_mana
  4. gement) is deprecated and will be removed in a future version.
  5. Instructions for updating:
  6. Use standard file APIs to check for files with this prefix.
  7. 2019-02-11 14:11:31.7 WARNING in 'tensorflow'['deprecation'] at line 323: From /root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_model.py:46: checkpoint_
  8. exists (from tensorflow.python.training.checkpoint_management) is deprecated and will be removed in a future version.
  9. Instructions for updating:
  10. Use standard file APIs to check for files with this prefix.
  11. 2019-02-11 14:11:31.7 INFO in 'deeppavlov.core.models.tf_model'['tf_model'] at line 47: [loading model from /root/TEMAPYTHON/save/seq2seq_model]
  12. INFO:tensorflow:Restoring parameters from /root/TEMAPYTHON/save/seq2seq_model
  13. 2019-02-11 14:11:31.18 INFO in 'tensorflow'['saver'] at line 1270: Restoring parameters from /root/TEMAPYTHON/save/seq2seq_model
  14. Traceback (most recent call last):
  15.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/client/session.py", line 1334, in _do_call
  16.     return fn(*args)
  17.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/client/session.py", line 1319, in _run_fn
  18.     options, feed_dict, fetch_list, target_list, run_metadata)
  19.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/client/session.py", line 1407, in _call_tf_sessionrun
  20.     run_metadata)
  21. tensorflow.python.framework.errors_impl.InvalidArgumentError: Assign requires shapes of both tensors to match. lhs shape= [400] rhs shape= [500]
  22.          [[{{node save/Assign_9}}]]
  23.          [[{{node save/RestoreV2}}]]
  24.  
  25. During handling of the above exception, another exception occurred:
  26.  
  27. Traceback (most recent call last):
  28.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/training/saver.py", line 1276, in restore
  29.     {self.saver_def.filename_tensor_name: save_path})
  30.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/client/session.py", line 929, in run
  31.     run_metadata_ptr)
  32.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/client/session.py", line 1152, in _run
  33.     feed_dict_tensor, options, run_metadata)
  34.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/client/session.py", line 1328, in _do_run
  35.     run_metadata)
  36.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/client/session.py", line 1348, in _do_call
  37.     raise type(e)(node_def, op, message)
  38. tensorflow.python.framework.errors_impl.InvalidArgumentError: Assign requires shapes of both tensors to match. lhs shape= [400] rhs shape= [500]
  39.          [[node save/Assign_9 (defined at /root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_model.py:50) ]]
  40.          [[node save/RestoreV2 (defined at /root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_model.py:50) ]]
  41.  
  42. Caused by op 'save/Assign_9', defined at:
  43.   File "train.py", line 271, in <module>
  44.     load_path='./save/seq2seq_model'
  45.   File "/root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_backend.py", line 74, in __call__
  46.     obj.__init__(*args, **kwargs)
  47.   File "/root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_backend.py", line 27, in _wrapped
  48.     return func(*args, **kwargs)
  49.   File "train.py", line 200, in __init__
  50.     self.load()
  51.  
  52. File "/root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_backend.py", line 27, in _wrapped
  53.     return func(*args, **kwargs)
  54.   File "train.py", line 200, in __init__
  55.     self.load()
  56.   File "/root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_backend.py", line 27, in _wrapped
  57.     return func(*args, **kwargs)
  58.   File "/root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_model.py", line 50, in load
  59.     saver = tf.train.Saver(var_list)
  60.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/training/saver.py", line 832, in __init__
  61.     self.build()
  62.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/training/saver.py", line 844, in build
  63.     self._build(self._filename, build_save=True, build_restore=True)
  64.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/training/saver.py", line 881, in _build
  65.     build_save=build_save, build_restore=build_restore)
  66.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/training/saver.py", line 513, in _build_internal
  67.     restore_sequentially, reshape)
  68.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/training/saver.py", line 354, in _AddRestoreOps
  69.     assign_ops.append(saveable.restore(saveable_tensors, shapes))
  70.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/training/saving/saveable_object_util.py", line 73, in restore
  71.     self.op.get_shape().is_fully_defined())
  72.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/ops/state_ops.py", line 223, in assign
  73.     validate_shape=validate_shape)
  74.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/ops/gen_state_ops.py", line 64, in assign
  75.     use_locking=use_locking, name=name)
  76.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/framework/op_def_library.py", line 788, in _apply_op_helper
  77.     op_def=op_def)
  78.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/util/deprecation.py", line 507, in new_func
  79.     return func(*args, **kwargs)
  80.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/framework/ops.py", line 3300, in create_op
  81.     op_def=op_def)
  82.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/framework/ops.py", line 1801, in __init__
  83.     self._traceback = tf_stack.extract_stack()
  84.  
  85. InvalidArgumentError (see above for traceback): Assign requires shapes of both tensors to match. lhs shape= [400] rhs shape= [500]
  86.          [[node save/Assign_9 (defined at /root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_model.py:50) ]]
  87.          [[node save/RestoreV2 (defined at /root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_model.py:50) ]]
  88.  
  89.  
  90. During handling of the above exception, another exception occurred:
  91.  
  92. Traceback (most recent call last):
  93.   File "train.py", line 271, in <module>
  94.     load_path='./save/seq2seq_model'
  95.   File "/root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_backend.py", line 74, in __call__
  96.     obj.__init__(*args, **kwargs)
  97.   File "/root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_backend.py", line 27, in _wrapped
  98.     return func(*args, **kwargs)
  99.   File "train.py", line 200, in __init__
  100.     self.load()
  101.   File "/root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_backend.py", line 27, in _wrapped
  102.     return func(*args, **kwargs)
  103.   File "/root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_model.py", line 51, in load
  104.     saver.restore(self.sess, path)
  105.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/training/saver.py", line 1312, in restore
  106.     err, "a mismatch between the current graph and the graph")  
  107. File "/root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_model.py", line 51, in load
  108.     saver.restore(self.sess, path)
  109.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/training/saver.py", line 1312, in restore
  110.     err, "a mismatch between the current graph and the graph")
  111. tensorflow.python.framework.errors_impl.InvalidArgumentError: Restoring from checkpoint failed. This is most likely due to a mismatch between the current graph and the graph from the checkpoint. Please ensure that you have not altered the graph expected based on the checkpoint. Original error:
  112.  
  113. Assign requires shapes of both tensors to match. lhs shape= [400] rhs shape= [500]
  114.          [[node save/Assign_9 (defined at /root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_model.py:50) ]]
  115.          [[node save/RestoreV2 (defined at /root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_model.py:50) ]]
  116.  
  117. Caused by op 'save/Assign_9', defined at:
  118.   File "train.py", line 271, in <module>
  119.     load_path='./save/seq2seq_model'
  120.   File "/root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_backend.py", line 74, in __call__
  121.     obj.__init__(*args, **kwargs)
  122.   File "/root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_backend.py", line 27, in _wrapped
  123.     return func(*args, **kwargs)
  124.   File "train.py", line 200, in __init__
  125.     self.load()
  126.   File "/root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_backend.py", line 27, in _wrapped
  127.     return func(*args, **kwargs)
  128.   File "/root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_model.py", line 50, in load
  129.     saver = tf.train.Saver(var_list)
  130.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/training/saver.py", line 832, in __init__
  131.     self.build()
  132.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/training/saver.py", line 844, in build
  133.     self._build(self._filename, build_save=True, build_restore=True)
  134.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/training/saver.py", line 881, in _build
  135.     build_save=build_save, build_restore=build_restore)
  136.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/training/saver.py", line 513, in _build_internal
  137.     restore_sequentially, reshape)
  138.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/training/saver.py", line 354, in _AddRestoreOps
  139.     assign_ops.append(saveable.restore(saveable_tensors, shapes))
  140.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/training/saving/saveable_object_util.py", line 73, in restore
  141.     self.op.get_shape().is_fully_defined())
  142.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/ops/state_ops.py", line 223, in assign
  143.     validate_shape=validate_shape)
  144.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/ops/gen_state_ops.py", line 64, in assign
  145.     use_locking=use_locking, name=name)
  146.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/framework/op_def_library.py", line 788, in _apply_op_helper
  147.     op_def=op_def)
  148.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/util/deprecation.py", line 507, in new_func
  149.     return func(*args, **kwargs)
  150.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/framework/ops.py", line 3300, in create_op
  151.     op_def=op_def)
  152.   File "/root/miniconda3/lib/python3.7/site-packages/tensorflow/python/framework/ops.py", line 1801, in __init__
  153.     self._traceback = tf_stack.extract_stack()
  154.  
  155. InvalidArgumentError (see above for traceback): Restoring from checkpoint failed. This is most likely due to a mismatch between the current graph and the graph from the checkpoint. Please ensure that you have not altered the graph expected based on the checkpoint. Original error:
  156.  
  157. Assign requires shapes of both tensors to match. lhs shape= [400] rhs shape= [500]
  158.          [[node save/Assign_9 (defined at /root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_model.py:50) ]]
  159.          [[node save/RestoreV2 (defined at /root/miniconda3/lib/python3.7/site-packages/deeppavlov/core/models/tf_model.py:50) ]]
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
Not a member of Pastebin yet?
Sign Up, it unlocks many cool features!
 
Top